API Reference
Education Progress
Track learning progress, lesson completion, and course statistics
Get User Course Progress
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
course_id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/education/progress/497f6eca-6276-4993-bfeb-53cbbbba6f08"[
{
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
"lesson_id": "2585ba54-c32a-4ece-8fca-c6fa0530db0e",
"content_id": "713e4c61-5a69-43fb-a600-2e2699462e14",
"status": "not_started",
"progress_percentage": 0,
"video_position_seconds": 0,
"quiz_score": 100,
"quiz_attempts": 0,
"quiz_passed": false,
"time_spent_minutes": 0,
"user_notes": "string",
"is_bookmarked": false,
"metadata": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Update Lesson Progress
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
course_id*string
Format
uuidlesson_id*string
Format
uuidRequest Body
application/json
status?|
progress_percentage?|
video_position_seconds?|
quiz_score?|
quiz_attempts?|
quiz_passed?|
time_spent_minutes?|
user_notes?|
is_bookmarked?|
metadata?|
Response Body
application/json
application/json
curl -X PUT "https://loading/api/v1/education/progress/497f6eca-6276-4993-bfeb-53cbbbba6f08/lessons/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
"lesson_id": "2585ba54-c32a-4ece-8fca-c6fa0530db0e",
"content_id": "713e4c61-5a69-43fb-a600-2e2699462e14",
"status": "not_started",
"progress_percentage": 0,
"video_position_seconds": 0,
"quiz_score": 100,
"quiz_attempts": 0,
"quiz_passed": false,
"time_spent_minutes": 0,
"user_notes": "string",
"is_bookmarked": false,
"metadata": {},
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}Get Course Completion Stats
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
course_id*string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/education/progress/497f6eca-6276-4993-bfeb-53cbbbba6f08/summary"{
"course_id": "5e757794-c815-4ccc-bf16-1010d8ef2347",
"total_lessons": 0,
"completed_lessons": 0,
"in_progress_lessons": 0,
"completion_percentage": 100,
"total_time_spent_minutes": 0,
"last_accessed": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}